Bug 1228935 - [abrt] gnome-shell: strlen(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: strlen(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: caribou
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:50de29f1133edaeab236e472452...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-06 20:24 UTC by Pavlo Verba
Modified: 2015-10-12 06:26 UTC (History)
6 users (show)

Fixed In Version: caribou-0.4.18.1-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-12 06:26:54 UTC


Attachments (Terms of Use)
File: backtrace (44.20 KB, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: cgroup (190 bytes, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: core_backtrace (18.91 KB, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: dso_list (24.77 KB, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: environ (830 bytes, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: limits (1.29 KB, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: maps (136.74 KB, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: namespaces (85 bytes, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: open_fds (6.12 KB, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: proc_pid_status (965 bytes, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details
File: var_log_messages (644 bytes, text/plain)
2015-06-06 20:24 UTC, Pavlo Verba
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 756194 None None None Never

Description Pavlo Verba 2015-06-06 20:24:39 UTC
Description of problem:
Gnome Shell crashes after I restore Firefox with some tabs.

Version-Release number of selected component:
gnome-shell-3.16.2-1.fc22

Additional info:
reporter:       libreport-2.5.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: strlen
executable:     /usr/bin/gnome-shell
global_pid:     20296
kernel:         4.0.4-303.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 g_strdup at gstrfuncs.c:355
 #2 caribou_xadapter_real_get_current_group at xadapter.c:1115
 #3 caribou_xadapter_xkl_state_changed at xadapter.c:425
 #4 _caribou_xadapter_xkl_state_changed_xkl_engine_X_state_changed at xadapter.c:1446
 #8 g_signal_emit_by_name at gsignal.c:3401
 #9 xkl_engine_process_state_modification at xklavier_evt.c:661
 #10 xkl_xkb_process_x_event at xklavier_evt_xkb.c:90
 #11 xkl_engine_filter_events at xklavier_evt.c:37
 #12 caribou_xadapter_x_event_filter at xadapter.c:279

Comment 1 Pavlo Verba 2015-06-06 20:24:44 UTC
Created attachment 1035706 [details]
File: backtrace

Comment 2 Pavlo Verba 2015-06-06 20:24:45 UTC
Created attachment 1035707 [details]
File: cgroup

Comment 3 Pavlo Verba 2015-06-06 20:24:47 UTC
Created attachment 1035708 [details]
File: core_backtrace

Comment 4 Pavlo Verba 2015-06-06 20:24:48 UTC
Created attachment 1035709 [details]
File: dso_list

Comment 5 Pavlo Verba 2015-06-06 20:24:50 UTC
Created attachment 1035710 [details]
File: environ

Comment 6 Pavlo Verba 2015-06-06 20:24:51 UTC
Created attachment 1035711 [details]
File: limits

Comment 7 Pavlo Verba 2015-06-06 20:24:53 UTC
Created attachment 1035712 [details]
File: maps

Comment 8 Pavlo Verba 2015-06-06 20:24:54 UTC
Created attachment 1035713 [details]
File: mountinfo

Comment 9 Pavlo Verba 2015-06-06 20:24:55 UTC
Created attachment 1035714 [details]
File: namespaces

Comment 10 Pavlo Verba 2015-06-06 20:24:57 UTC
Created attachment 1035715 [details]
File: open_fds

Comment 11 Pavlo Verba 2015-06-06 20:24:58 UTC
Created attachment 1035716 [details]
File: proc_pid_status

Comment 12 Pavlo Verba 2015-06-06 20:24:59 UTC
Created attachment 1035717 [details]
File: var_log_messages

Comment 13 Pavlo Verba 2015-06-06 20:52:32 UTC
I have figured a way to reproduce it.

You need to start Firefox under Gnome Shell (Wayland), then set a cursor to the text entry field on the webpage and try to switch keyboard layouts with the [Super] + [Space] keys; it crashes Shell every time on my box.

Comment 14 Pavlo Verba 2015-06-11 21:22:16 UTC
For me, it reliably crashes when I switch to Ukrainian (WinKeys) layout, while having three others: English (Colemak), English (QWERTY), Russian.

Comment 15 Owen Taylor 2015-10-05 16:57:00 UTC
I can reproduce this (with a different configuration of four input sources - three of them being XKB layouts). The proximate cause is that in:

xadapter.vala:Caribou.XAdapter.get_current_group:

            group_name = config_rec.layouts[this.group];
            variant_name = config_rec.variants[this.group];
            if (variant_name == null)

this.group is 2, but the layouts and variants arrays only have one item in them. It appears that the layout information being propagated to the Xwayland server is not consistent with the events being recevied from the Xwayland server. Local robustness could be added here, but the discrepancy needs to be sorted out. (And/or GNOME Shell under Wayland needs to not be using XKB for tracking the current keyboard configuration - that doesn't seem optimum.)

Comment 16 Parag Nemade 2015-10-08 12:48:15 UTC
We decided to wait for 3.18.1 release where we will get new caribou release and let it be part of 3.18.1 megaupdate.

Comment 17 Daiki Ueno 2015-10-09 07:31:06 UTC
(In reply to Parag Nemade from comment #16)
> We decided to wait for 3.18.1 release where we will get new caribou release
> and let it be part of 3.18.1 megaupdate.

Thank you all for working on it.  I am actually not sure if 3.18.1 packages will be ready before the F23 final freeze (though I can roll a new tarball once Rui checks in the patch upstream).  To make it double sure, I would suggest to go ahead rather than wait and miss the deadline.

Comment 18 Fedora Update System 2015-10-09 11:02:30 UTC
caribou-0.4.18.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5ae5009bd4

Comment 19 Fedora Update System 2015-10-11 08:25:51 UTC
caribou-0.4.18.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update caribou'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5ae5009bd4

Comment 20 Fedora Update System 2015-10-12 06:26:52 UTC
caribou-0.4.18.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.